Package org.apache.tomcat.util.descriptor.tagplugin

## Class TagPluginParser

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tagplugin.TagPluginParser

-     public class TagPluginParser
      extends Object

  Parser for Tag Plugin descriptors.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TagPluginParser​(ServletContext context, boolean blockExternal)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPlugin​(String tagClass, String pluginClass)` |
    `Map<String,​String>` | `getPlugins()` |
    `void` | `parse​(URL url)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagPluginParser

          public TagPluginParser​(ServletContext context,
                                 boolean blockExternal)

  - ### Method Detail

    - #### parse

          public void parse​(URL url)
                     throws IOException,
                            SAXException

      Throws:
        `IOException`
        `SAXException`

    - #### addPlugin

          public void addPlugin​(String tagClass,
                                String pluginClass)

    - #### getPlugins

          public Map<String,​String> getPlugins()